Skip to content
Documentation

Post unit to repository

POST /repositories/{repository}/units

Post a unit to the given repository using a symbol and the intervalTransformationMethod

Name In Type Required Description
repository path string yes The name of the repository in which to save the new unit.

Schema: Unit

{
"symbol": "string",
"intervalTransformationMethod": 1
}
Code Description Type
200 The request completed successfully UnitReference
201 The unit was successfully saved. ResultOfUnitReference
404 Indicates that the given repository does not exist ProblemDetails
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: UnitReference

{
"storageInformation": {
"repositoryName": "string"
},
"identifier": "string"
}

Schema: ResultOfUnitReference

{
"storageInformation": {
"repositoryName": "string"
},
"identifier": "string"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026